Skip to content
Ona Docs

GetRunnerConfigurationSchema

POST/gitpod.v1.RunnerConfigurationService/GetRunnerConfigurationSchema

Gets the latest runner configuration schema.

Use this method to:

  • View available settings
  • Check configuration options
  • Validate configurations

Examples

  • Get schema:

    Retrieves configuration schema for a runner.

    runnerId: "d2c94c27-3b76-4a42-b88c-95a85e392c68"
Body ParametersJSONExpand Collapse
runnerId: optional string
formatuuid
ReturnsExpand Collapse
schema: optional RunnerConfigurationSchema { environmentClasses, runnerConfig, scm, version }
environmentClasses: optional array of object { id, bool, description, 7 more }
id: optional string
bool: optional object { default }
default: optional boolean
description: optional string
display: optional object { default }
default: optional string
enum: optional object { default, defaultValue, possibleValues, values }
Deprecateddefault: optional string

deprecated, will be removed, use default_value instead

defaultValue: optional object { detail, subtitle, title }
detail: optional string
subtitle: optional string
title: optional string
possibleValues: optional array of object { detail, subtitle, title }
detail: optional string
subtitle: optional string
title: optional string
Deprecatedvalues: optional array of string

deprecated, will be removed, use possible_values instead

int: optional object { default, max, min }
default: optional number
formatint32
max: optional number
formatint32
min: optional number
formatint32
name: optional string
required: optional boolean
secret: optional boolean
string: optional object { default, pattern }
default: optional string
pattern: optional string
runnerConfig: optional array of object { id, bool, description, 7 more }
id: optional string
bool: optional object { default }
default: optional boolean
description: optional string
display: optional object { default }
default: optional string
enum: optional object { default, defaultValue, possibleValues, values }
Deprecateddefault: optional string

deprecated, will be removed, use default_value instead

defaultValue: optional object { detail, subtitle, title }
detail: optional string
subtitle: optional string
title: optional string
possibleValues: optional array of object { detail, subtitle, title }
detail: optional string
subtitle: optional string
title: optional string
Deprecatedvalues: optional array of string

deprecated, will be removed, use possible_values instead

int: optional object { default, max, min }
default: optional number
formatint32
max: optional number
formatint32
min: optional number
formatint32
name: optional string
required: optional boolean
secret: optional boolean
string: optional object { default, pattern }
default: optional string
pattern: optional string
scm: optional array of object { defaultHosts, name, oauth, 2 more }
defaultHosts: optional array of string
name: optional string
oauth: optional object { callbackUrl }
callbackUrl: optional string

callback_url is the URL the OAuth app will redirect to after the user has authenticated.

pat: optional object { description, docsLink }
description: optional string

description is a human-readable description of the PAT.

scmId: optional string
version: optional string

The schema version

GetRunnerConfigurationSchema

curl https://app.gitpod.io/api/gitpod.v1.RunnerConfigurationService/GetRunnerConfigurationSchema \
    -H 'Content-Type: application/json' \
    -H "Authorization: Bearer $GITPOD_API_KEY" \
    -d '{}'
{
  "schema": {
    "environmentClasses": [
      {
        "id": "id",
        "bool": {
          "default": true
        },
        "description": "description",
        "display": {
          "default": "default"
        },
        "enum": {
          "default": "default",
          "defaultValue": {
            "detail": "detail",
            "subtitle": "subtitle",
            "title": "title"
          },
          "possibleValues": [
            {
              "detail": "detail",
              "subtitle": "subtitle",
              "title": "title"
            }
          ],
          "values": [
            "string"
          ]
        },
        "int": {
          "default": 0,
          "max": 0,
          "min": 0
        },
        "name": "name",
        "required": true,
        "secret": true,
        "string": {
          "default": "default",
          "pattern": "pattern"
        }
      }
    ],
    "runnerConfig": [
      {
        "id": "id",
        "bool": {
          "default": true
        },
        "description": "description",
        "display": {
          "default": "default"
        },
        "enum": {
          "default": "default",
          "defaultValue": {
            "detail": "detail",
            "subtitle": "subtitle",
            "title": "title"
          },
          "possibleValues": [
            {
              "detail": "detail",
              "subtitle": "subtitle",
              "title": "title"
            }
          ],
          "values": [
            "string"
          ]
        },
        "int": {
          "default": 0,
          "max": 0,
          "min": 0
        },
        "name": "name",
        "required": true,
        "secret": true,
        "string": {
          "default": "default",
          "pattern": "pattern"
        }
      }
    ],
    "scm": [
      {
        "defaultHosts": [
          "string"
        ],
        "name": "name",
        "oauth": {
          "callbackUrl": "callbackUrl"
        },
        "pat": {
          "description": "description",
          "docsLink": "docsLink"
        },
        "scmId": "scmId"
      }
    ],
    "version": "version"
  }
}
Returns Examples
{
  "schema": {
    "environmentClasses": [
      {
        "id": "id",
        "bool": {
          "default": true
        },
        "description": "description",
        "display": {
          "default": "default"
        },
        "enum": {
          "default": "default",
          "defaultValue": {
            "detail": "detail",
            "subtitle": "subtitle",
            "title": "title"
          },
          "possibleValues": [
            {
              "detail": "detail",
              "subtitle": "subtitle",
              "title": "title"
            }
          ],
          "values": [
            "string"
          ]
        },
        "int": {
          "default": 0,
          "max": 0,
          "min": 0
        },
        "name": "name",
        "required": true,
        "secret": true,
        "string": {
          "default": "default",
          "pattern": "pattern"
        }
      }
    ],
    "runnerConfig": [
      {
        "id": "id",
        "bool": {
          "default": true
        },
        "description": "description",
        "display": {
          "default": "default"
        },
        "enum": {
          "default": "default",
          "defaultValue": {
            "detail": "detail",
            "subtitle": "subtitle",
            "title": "title"
          },
          "possibleValues": [
            {
              "detail": "detail",
              "subtitle": "subtitle",
              "title": "title"
            }
          ],
          "values": [
            "string"
          ]
        },
        "int": {
          "default": 0,
          "max": 0,
          "min": 0
        },
        "name": "name",
        "required": true,
        "secret": true,
        "string": {
          "default": "default",
          "pattern": "pattern"
        }
      }
    ],
    "scm": [
      {
        "defaultHosts": [
          "string"
        ],
        "name": "name",
        "oauth": {
          "callbackUrl": "callbackUrl"
        },
        "pat": {
          "description": "description",
          "docsLink": "docsLink"
        },
        "scmId": "scmId"
      }
    ],
    "version": "version"
  }
}